SendLit logoSendLit Docs
API ReferenceOrganizationsOrganizationidTeamsTeamidEnter

Enter an organization team as a human admin

Grants the calling human organization owner or administrator a permanent team `admin` membership, recorded as organization audit action `team.entered`. Organization API keys cannot enter. Archived teams cannot be entered. Idempotent if membership already exists.

POST
/organizations/{organizationId}/teams/{teamId}/enter

Grants the calling human organization owner or administrator a permanent team admin membership, recorded as organization audit action team.entered. Organization API keys cannot enter. Archived teams cannot be entered. Idempotent if membership already exists.

x-sendlit-apikey<token>

In: header

Path Parameters

organizationId*string
teamId*string

Request Body

application/json

Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://api.sendlit.app/organizations/string/teams/string/enter" \  -H "Content-Type: application/json" \  -d '{}'
{
  "teamId": "string",
  "role": "admin",
  "created": true
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}